package test;

import java.io.*;
import java.net.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.xml.sax.InputSource;
import org.w3c.dom.Element;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.w3c.dom.Node;

import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.SAXException;

// jaxp 1.0.1 imports
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.DocumentBuilder;

import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;

import javax.naming.*;
import javax.sql.*;
import java.sql.*;

public class ServletTest extends HttpServlet implements HttpSessionListener {

    private ServletContext context;
    private HttpSession  session;
    private String user;
    private static int count = 0;

    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        System.out.println("[Servlet.init]");        
        context = config.getServletContext();
	System.out.println("[Servlet.init] " + context.getMajorVersion());
           
    } 

    public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        // System.out.println("[Servlet.doGet]");
        doPost(request, response);
    }

    public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {        
        // System.out.println("[Servlet.doPost]");
        
        response.setContentType("text/plain");
        PrintWriter out = response.getWriter();
        out.println("Form Authentication tests from Servlet");
        user = request.getUserPrincipal().getName();
        out.println("user: "+user);        
        session = request.getSession();
        out.println("session: "+ session);        
        if (session.isNew()) {
	    out.println("New session");        
	} else {
	    out.println("Old session");       
	}
        count++;
	session.setAttribute("testAttribute"+count, user);
	java.util.Enumeration valueNames = session.getAttributeNames();
	if (!valueNames.hasMoreElements()) {
	    System.out.println("No parameter entered for this request");
	} else {
	    out.println("<UL>");
	    while (valueNames.hasMoreElements()) {
		String param = (String) valueNames.nextElement();
		String value = session.getAttribute(param).toString();
		out.println("<LI>" + param + " = " + value + "</LI>");
	    }
	    out.println("</UL>");
	}

                
    }

    public void sessionCreated(javax.servlet.http.HttpSessionEvent httpSessionEvent) {
        System.out.println("[Servlet.sessionCreated]");
    }
    
    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent httpSessionEvent) {
        System.out.println("[Servlet.sessionDestroyed]");
        System.out.println("Attributes: " + httpSessionEvent.getSession().getAttribute("test"));
    } 


}



